<!DOCTYPE html>
<html lang="en">
<head>
    <title>Index Jquery page</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#search").click(function () {

                var user_input = $("#text1").val();
                var words = user_input.split(",");
                var ans = "";
                var paragraph = $("#text2").val();
                var lines = paragraph.split("\n");

                for (var i = 0; i < lines.length; i++) {            
                    for (var j = 0; j < words.length; j++) {           
                        if (lines[i].includes(words[j])) {
                            var first = "";
                            var second = "";
                            var sp = lines[i].split(words[j]);
                            first = sp[0];
                            second = sp[1];
                            ans += first + "<b>" + words[j] + "</b>" + second + ",";
                        }
                    }
                }
                var new_ans = ans.slice(0,-1);
                $("#text3").val(new_ans);
            })
        });
    </script>
</head>

<body>
    <label>Search line for:</label>
    <input type="text" id="text1"><br><br>
    <button id="search">Search</button><br><br>
    <label>Type Text:</label><br><br>
    <textarea id="text2" style="width:600px ;height:200px">Sometimes to understand a word
 meaning you need more than a definition.
at your Dictionary we try to give all of the tools
you need to really understand what the world means.
seeing the word in a sentence can
provide more context and relevance.
    </textarea><br><br>
    <label>Lines Containg text</label><br>
    <textarea id="text3" style="width:600px; height:200px"></textarea>
</body>

</html>